function [elmdat1,elmdat2,elmdat3]= ... 
         elemdrv(ielem,coord,top,mat,pos,sol,nodaldata,elemdatain,param);
% 
  
if (nargin<5), 
   error('Illegal number of input arguments') 
end 
if (nargin<6), 
   sol=[]; 
end 
if (nargin<7), 
   nodaldata=[]; 
end 
if (nargin<8), 
   elemdatain=[]; 
end 
if (nargin<9), 
   param=[]; 
end 
  
  
  
  [nnodes,nsd,nelem,maxnlnodes,iimat,iitype]= sysinfo(size(coord),size(top)); 
  
  
  eltype = top(ielem,iitype); 
  
  ntypes=length(mat.types(:,1));
  if eltype>ntypes,
     error('This type not allowed');
  end
  
  type=deblank(mat.types(eltype,:)); 
  type=[type '_d'];
  
  [elmdat1,elmdat2,elmdat3]= ... 
     feval(type,ielem,coord,top,mat,pos,sol,nodaldata,elemdatain,param);
  