% FEM Toolbox plot utilities.
%
%   gplot3    - Plot a 3-dimensional graph
%   gplotm    - Plot a 3-dimensional graph
%   plarrow   - Draws a set of arrows in a 2D plane
%   plarrow3  - Draws a set of arrows in 3D space
%   plbound   - Plots boundary of 2D mesh
%   pldisp    - Plots original and deformed mesh
%   pldofnum  - Adss numbers of the dofs of a node to the current plot
%   plelem    - Plots elements in an existing mesh
%   plelgrp   - Plots element group data
%   plelmdat  - Plots deformed mesh coloured with element data
%   plelnum   - Plot numbers of the elements in top array
%   plmesh    - Plots a 2D mesh    
%   plnoddat  - Plots deformed mesh coloured with nodal data
%   plnodes   - Plots nodes
%   plnodnum  - Adds numbers of nodes in coord to current plot
%   plnodvec  - Creates a combined vector & colour plot from nodal data
%   plqarrow  - Draws a set of arrows, without arrow head, in a 2D plane
%   plqarrw3  - Draws a set of arrows, without arrow head, in 3D space
%   plstress  - Create a combined colour & vector plot of nodal stresses
%   plusrcrv  - Plots user curves in a 2D mesh
%   plusrpts  - Plots user points in a 2D mesh
%   top2grph  - Creates a graph A from the mesh connectivity
   
%   % Copyright (c) Philips Electronics N.V. 1994
