function coleg(hlines,lstrings,lnclr)

%* get the current axis
ha=gca;
hf=get(ha,'parent');
haold=gca;                          % Remember starting axes handle
punits=get(hf,'units');
aunits=get(ha,'units');


% check if there exists a legend
child   = get(hf,'children');
nchild  = length(child);
existlegend=0;
udat=[];
%for ichild=1:nchild
%    udat=get(child(ichild),'userdata');
%    if ~isempty(udat)
%      if udat(1)==9999
%       existlegend=1;
%       hl=child(ichild);
%       axes(hl);
%       cla
%       set(ha,'units','normalized','position',udat(2:5));
%      end
%    end
%end


set(ha,'units','normalized');
apos=get(ha,'position');

fac=0.9;

set(ha,'position',[apos(1) apos(2) fac*apos(3) apos(4)]);

lpos=[apos(1)+fac*apos(3) apos(2) (1-fac)*apos(3) apos(4)];

if ~existlegend,
   hl=axes('units','normalized','position',lpos,'box','off','drawmode', ...
           'fast','nextplot','add','xtick',[-1],'ytick',[-1], ...
           'xticklabel','','yticklabel','','xlim',[0 1],'ylim',[0 1], ...
            'clipping','on','visible','off');
end
      
set(hl,'userdata',[9999 apos]); %* magic number for legend

capc=get(hl,'position');

nstack=length(hlines);

fontn='helvetica';
fonts=8;

for i=1:nstack

% draw lines

    xp=[0.1; 0.5]; 
    ypos=1-i/(nstack+1);
    ypos=i/(nstack+1);
    
    yp=[ypos ypos];
    line(xp,yp,'color',lnclr(i,:));
  
% draw text 
    text('position',[0.6,ypos],...
         'string',lstrings(i,:),'fontname',fontn,'fontsize',fonts);



end;
    
axes(haold)
set(hf,'units',punits)
set(ha,'units',aunits)
