function [intw,intcoord]=gausstri(nint);
%
%  [weight,intcoord]=gausstri(nint);
%
% 

intcoord = zeros(nint,3);
intw     = zeros(nint,1);

if (nargin==0), nint=4; end


if (nint==1),

 intcoord(1,1) = 1/3;   intcoord(1,2) = 1/3;   intcoord(1,3) = 1/3;


 a=1;

 intw=[a];


elseif (nint==3),

% intcoord(1,1) = 1/2;   intcoord(1,2) = 1/2;   intcoord(1,3) = 0.0;
% intcoord(2,1) = 0.0;   intcoord(2,2) = 1/2;   intcoord(2,3) = 1/2;
% intcoord(3,1) = 1/2;   intcoord(3,2) = 0.0;   intcoord(3,3) = 1/2;

 intcoord(1,1) = 1/3;   intcoord(1,2) = 1/6;   intcoord(1,3) = 1/6;
 intcoord(2,1) = 1/6;   intcoord(2,2) = 1/3;   intcoord(2,3) = 1/6;
 intcoord(3,1) = 1/6;   intcoord(3,2) = 1/6;   intcoord(3,3) = 1/3;


 a=1/3;

 intw=[a a a];

elseif (nint==4),


 intcoord(1,1) = 1/3;   intcoord(1,2) = 1/3;   intcoord(1,3) = 1/3;
 intcoord(2,1) = 0.6;   intcoord(2,2) = 0.2;   intcoord(2,3) = 0.2;
 intcoord(3,1) = 0.2;   intcoord(3,2) = 0.6;   intcoord(3,3) = 0.2;
 intcoord(4,1) = 0.2;   intcoord(4,2) = 0.2;   intcoord(4,3) = 0.6;

 a=-27/48; b=25/48;

 intw=[a b b b];
 

elseif (nint==6),

 a1=0.816847572980459;
 a2=0.091576213509771;
 b1=0.108103018168070;
 b2=0.445948490915965;

 intcoord(1,1) = a1;    intcoord(1,2) = a2;    intcoord(1,3) = a2;
 intcoord(2,1) = a2;    intcoord(2,2) = a1;    intcoord(2,3) = a2;
 intcoord(3,1) = a2;    intcoord(3,2) = a2;    intcoord(3,3) = a1;
 intcoord(4,1) = b1;    intcoord(4,2) = b2;    intcoord(4,3) = b2;
 intcoord(5,1) = b2;    intcoord(5,2) = b1;    intcoord(5,3) = b2;
 intcoord(6,1) = b2;    intcoord(6,2) = b2;    intcoord(6,3) = b1;

 intw(1) = .109951743655322;
 intw(2) = intw(1);
 intw(3) = intw(1);
 intw(4) = .223381589678011; 
 intw(5) = intw(4);
 intw(6) = intw(4);
 
elseif (nint==7),

 a=1/3;
 a1=0.0597158717;
 a2=0.4701420641;
 b1=0.7974269853;
 b2=0.1012865073;

 intcoord(1,1) = 1/3;   intcoord(1,2) = 1/3;   intcoord(1,3) = 1/3;
 intcoord(2,1) = a1;    intcoord(2,2) = a2;    intcoord(2,3) = a2;
 intcoord(3,1) = a2;    intcoord(3,2) = a1;    intcoord(3,3) = a2;
 intcoord(4,1) = a2;    intcoord(4,2) = a2;    intcoord(4,3) = a1;
 intcoord(5,1) = b1;    intcoord(5,2) = b2;    intcoord(5,3) = b2;
 intcoord(6,1) = b2;    intcoord(6,2) = b1;    intcoord(6,3) = b2;
 intcoord(7,1) = b2;    intcoord(7,2) = b2;    intcoord(7,3) = b1;



 intw=[0.225
      0.1323941527
      0.1323941527
      0.1323941527
      0.1259391805
      0.1259391805
      0.1259391805];

else

 error(['nint = ' num2str(nint) ' not allowed in gaussint']);

end

