function [elinfo1,elinfo2]= eleminfo(ielem,coord,top,mat,ichois);
% [elinfo1,elinfo2]=eleminfo(ielem,coord,top,mat,ichois);
% 
%   
% ichois  :   1 - ldof     
%             2 - ddof     
%             3 - elgraph  
%             4 - gshape   
%             5 - vshape   
%             6 - dshape   
%          7:10 - reserved 
%           >11 - for user 
%   
  
  
  
[nnodes,nsd,nelem,maxnlnodes,iimat,iitype]= sysinfo(size(coord),size(top)); 
  
eltype = top(ielem,iitype); 

ntypes=length(mat.types(:,1));
if eltype>ntypes,
   error('This type not allowed');
end

type=deblank(mat.types(eltype,:));
type=[type '_i'];
[elinfo1,elinfo2]=feval(type,ielem,coord,top,mat.mat,ichois);

