function [top,coord,toporg,coordorg]=trimeshq(top,coord)
%
% [top,coord,toporg,coordorg]=trimeshq(top,coord)
%

% copy original topology and coordinates

toporg=top; coordorg=coord;

nelem   = length(top(:,1));
nlnodes = length(top(1,:))-1;
nnodes  = length(coord(:,1));

topp=[];

if (nlnodes~=4), 
   error('trimeshq: this element not supported'), 
else
   toptr = zeros(nelem*2,4);
end

coordtr=coord;

kelem=nelem;
for ielem=1:nelem
    nodes=top(ielem,1:nlnodes);

    if (nlnodes==4),

       knodes=nodes([1 2 3]);
       toptr(ielem,:)=[knodes top(ielem,nlnodes+1)];
       kelem=kelem+1;
       knodes=nodes([1 3 4]);
       toptr(kelem,:)=[knodes top(ielem,nlnodes+1)];

    end

end



top=toptr;
coord=coordtr;

