function [ax,ay]=elcd_a(x,y,fx,fy);

% ELCD_A calculates the convective velocity ax and ay in x- and y-direction in the
% point (x,y). 
%
% fx and fy are input parameters, defined by means of mat.mat
% mat.mat(2)=fx
% mat.mat(3)=fy
%
%  last change: Cees Oomens 14-5-2008


% Parabolic profile for fluid velocity

ax=fx*(1-(y-0.5)^2);
ay=0;

